/* Base reset for consistency */

h1,
h2,
h3,
h4,
h5 {
  font-family: "Ardela", sans-serif;
}

p {
  font-family: "Ardela", sans-serif;
  font-weight: 300;
  line-height: 1.4rem;
}

select {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  background-color: #fff;
  border: 1px solid #ced4da;
  border-radius: 0.375rem;
  padding: 0.375rem 2rem 0.375rem 0.75rem;
  font-size: 1rem;
  line-height: 1.5;
  color: #212529;
  width: 100%;
  cursor: pointer;
  transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

select:focus {
  border-color: #86b7fe;
  outline: 0;
  box-shadow: 0 0 0 0.25rem rgba(13, 110, 253, 0.25);
}

select:disabled {
  background-color: #e9ecef;
  opacity: 1;
}

select {
  background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'><path fill='none' stroke='%236c757d' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M2 5l6 6 6-6'/></svg>");
  background-repeat: no-repeat;
  background-position: right 0.75rem center;
  background-size: 16px 12px;
}

.main-container {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: 2rem;
}

.product-container {
  width: 90%;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 1rem;
}

.product-details {
  width: 90%;
}

.product-options {
  width: 100%;
}

.product-options {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  gap: 1rem;
}

.product-price {
  width: 100%;
  background: #f0f0f0;
  padding: 0.6rem;
  font-family: "Ardela", sans-serif;
  font-weight: 600;
  font-size: 1.5rem;
  border-radius: 0.5rem;
  margin-bottom: 1rem;
}

.product-details > div {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 2rem;
}

.product-details > div > img {
  display: block;
  width: 100%;
  height: auto;
  margin: auto;
  border-radius: 12px;
}

@media (min-width: 900px) {
  .main-container {
    flex-direction: row;
    justify-content: center;
  }

  .container {
    flex-direction: row;
    justify-content: center;
    align-items: flex-start;
  }

  .product-details > div {
    flex-direction: row;
    align-items: flex-start;
    width: 900px;
  }

  .product-details {
    width: 900px;
  }
  .product-details > div > img {
    width: 500px;
    margin-bottom:1rem
  }

  .product-price {
    margin-bottom: 0;
  }
}
